/* 
 * debug.c  implementation file  --  Please see debug.h for comments.
 */


#ifdef DEBUG /* -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- */


#include <stdio.h>
#include <stdarg.h>

#include "lineacc.h"  /* lineAcc_t */
#include "image.h"    /* pix_t  */


void DBG_print__IMPL( char const * pFmt, ... ) 
	{
	va_list ap;
	va_start( ap, pFmt );
	vprintf( pFmt, ap );
	va_end( ap );
	}

void DBG_lineAcc_dump__IMPL( lineAcc_t const * pLA )
	{
	printf( "A: " );
	int iX;
	for ( iX = 0; iX < pLA->N; iX++ )
		{
		printf( "%2u ", pLA->pArr[iX] );
		}
	printf( "\n" );
	}

void DBG_imgLine_dump__IMPL( pix_t const * pStartOfLine, int size_x )
	{
	printf( "I: " );
	int iX;
	for ( iX = 0; iX < size_x; iX++ )
		{
		printf( "%.2X ", pStartOfLine[iX] );
		}
	printf( "\n" );
	}


#endif /*DEBUG   -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- */




